package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BusGlkg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 基础数据-检查表-隔离开关
* @author author
* @date 2021/10/26
*/
@Mapper
@Repository
public interface BusGlkgMapper {

    /**
    * 新增
    */
    int insert(BusGlkg busGlkg);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BusGlkg busGlkg);

    /**
    * 获取单个
    */
    BusGlkg getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusGlkg> getList(BusGlkg busGlkg);

}
